server:
  port: 8080
# \u8BBE\u7F6E\u5F00\u53D1\u73AF\u5883
spring:
#  profiles:
#      active: dev
  main:
    allow-circular-references: true
  #\u6570\u636E\u5E93\u914D\u7F6E\u94FE\u63A5
  datasource:
    username: root
    password: root
    url: jdbc:mysql://localhost:3306/share_videos?characterEncoding=UTF-8&share_videosuseSSL=false&useUnicode=true&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
    driver-class-name: com.mysql.cj.jdbc.Driver
    cache:
      type: redis
      redis:
        # \u7F13\u5B58\u65F6\u95F4 600s
        time-to-live: 600000
        key-prefix: SPRING_CACHE_
        use-key-prefix: true
        cache-null-values: true
  redis:
    host: localhost
    port: 6379
    #    password: chuanghai.redis
    password: redis.root
    jedis:
      pool:
        max-active: 100
        max-idle: 100
        min-idle: 100
        max-wait: 60000s
  # \u914D\u7F6E\u65E5\u5FD7
mybatis-plus:
  mapper-locations: classpath:/mapper/video/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # \u914D\u7F6E\u903B\u8F91\u5220\u9664
  global-config:
    db-config:
      logic-delete-value: 1
      logic-not-delete-value: 0

#腾讯云
tencentcloud:
  appID: 123456
  appKey: abcd
  templateId: "123456789"
  smsSign: 123456
  smsMin: 2
